From c1fe0055ca8fb90c27faecc5772eb9f7459b8722 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 17 2020 23:44:03 +0000
Subject: [PATCH 289/2232] Touch up PR 121


---

diff --git a/gen/write.rs b/gen/write.rs
index a77c658..4c7b0ae 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -63,13 +63,12 @@ pub(super) fn gen(
                 out.next_section();
                 write_struct(out, strct);
             }
-            Api::RustType(ety) => match methods_for_type.get(&ety.ident) {
-                Some(methods) => {
+            Api::RustType(ety) => {
+                if let Some(methods) = methods_for_type.get(&ety.ident) {
                     out.next_section();
                     write_struct_with_methods(out, ety, methods);
                 }
-                _ => {}
-            },
+            }
             _ => {}
         }
     }
@@ -323,7 +322,7 @@ fn write_struct_using(out: &mut OutFile, ident: &Ident) {
     writeln!(out, "using {} = {};", ident, ident);
 }
 
-fn write_struct_with_methods(out: &mut OutFile, ety: &ExternType, methods: &Vec<&ExternFn>) {
+fn write_struct_with_methods(out: &mut OutFile, ety: &ExternType, methods: &[&ExternFn]) {
     for line in ety.doc.to_string().lines() {
         writeln!(out, "//{}", line);
     }

